System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ExternalException System.Security.SuppressUnmanagedCodeSecurity

Win32 error codes are translated from their numeric representations into a system message when they are displayed. Use to access the numeric representation of the error code associated with this exception. For more information about the error codes, see "Win32 Error Codes" in the Platform SDK documentation at http://msdn.microsoft.com.

Throws an exception for a Win32 error code.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The detailed description of the error will be determined by the Win32 error message associated with the error.

  This constructor uses the method of to get its error code.

  Initializes a new instance of the class with the last Win32 error that occurred.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The detailed description of the error is determined by the Win32 error message associated with the error.

  Initializes a new instance of the class with the specified error.

  The Win32 error code associated with this exception.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified detailed description.

  A detailed description of the error.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The detailed description of the error is determined by the Win32 error message associated with the error.

  Initializes a new instance of the class with the specified error and the specified detailed description.

  The Win32 error code associated with this exception.
  A detailed description of the error.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified context and the serialization information.

  The associated with this exception.
  A that represents the context of this exception.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified detailed description and the specified exception.

  A detailed description of the error.
  A reference to the inner exception that is the cause of this exception.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Sets the object with the file name and line number at which this occurred.

  A . The contextual information about the source or destination.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the Win32 error code associated with this exception.